Permalink
Browse files

Requirement names are strings, not atoms.

Having an atom there was resulted in agner failing to properly build this package:

=> ibrowse (compile)
Compiled src/ibrowse_sup.erl
Compiled src/ibrowse_lib.erl
Compiled src/ibrowse_test.erl
Compiled src/ibrowse_app.erl
Compiled src/ibrowse_lb.erl
Compiled src/ibrowse.erl
Compiled src/ibrowse_http_client.erl
FAILURE: {'EXIT',<0.71.0>,
                 {badarg,[{os,putenv,
                              ["AGNER_PACKAGE_REPO",{error,not_cloned}]},
                          {agner_fetch,buildable,2},
                          {gen_fsm2,handle_msg,7},
                          {proc_lib,init_p_do_apply,3}]}}

This commit fixes this behaviour.
  • Loading branch information...
1 parent 7a6375f commit 9804297ee519d4083f28db65a4fd93e4f164f4c1 @yrashk yrashk committed Feb 8, 2011
Showing with 1 addition and 1 deletion.
  1. +1 −1 agner.config
View
@@ -4,6 +4,6 @@
{url, {git, "https://github.com/elbrujohalcon/itweet.git", {branch, "master"}}}.
{authors, ["Fernando Benavides <fernando.benavides@inakanetworks.com>"]}.
{license, "Apache License 2.0", "LICENSE"}.
-{requires, [ibrowse]}.
+{requires, ["ibrowse"]}.
{rebar_compatible, true}.
{install_command, "$AGNER_PACKAGE_REPO/install.sh"}.

0 comments on commit 9804297

Please sign in to comment.